Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706856 - app-shells/pdmenu-1.3.4-r1 : fails to build with -fno-common or gcc-10
Summary: app-shells/pdmenu-1.3.4-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrice Clement
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common gcc-10-stable
  Show dependency tree
 
Reported: 2020-01-28 18:24 UTC by Toralf Förster
Modified: 2021-01-06 19:07 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.79 KB, text/plain)
2020-01-28 18:24 UTC, Toralf Förster
Details
app-shells:pdmenu-1.3.4-r1:20200128-170444.log (app-shells:pdmenu-1.3.4-r1:20200128-170444.log,63.73 KB, text/plain)
2020-01-28 18:24 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,122.60 KB, text/plain)
2020-01-28 18:24 UTC, Toralf Förster
Details
environment (environment,46.66 KB, text/plain)
2020-01-28 18:24 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.56 KB, application/x-bzip)
2020-01-28 18:24 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.48 KB, application/x-bzip)
2020-01-28 18:24 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,16.45 KB, application/x-bzip)
2020-01-28 18:24 UTC, Toralf Förster
Details
pdmenu-9999.ebuild using git-r3.eclass (pdmenu-9999.ebuild,1.42 KB, text/plain)
2020-11-01 02:25 UTC, Duncan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:24:12 UTC
cd src && x86_64-pc-linux-gnu-gcc -c ../src/window.c -DETCDIR=\"/etc/\" -DVER=\"1.3.4\" -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"pdmenu\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_GETPAGESIZE=1 -DHAVE_MMAP=1 -DHAVE_ARGZ_H=1 -DHAVE_LIMITS_H=1 -DHAVE_LOCALE_H=1 -DHAVE_NL_TYPES_H=1 -DHAVE_MALLOC_H=1 -DHAVE_STDDEF_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_FEOF_UNLOCKED=1 -DHAVE_FGETS_UNLOCKED=1 -DHAVE_GETCWD=1 -DHAVE_GETEGID=1 -DHAVE_GETEUID=1 -DHAVE_GETGID=1 -DHAVE_GETUID=1 -DHAVE_MEMPCPY=1 -DHAVE_MUNMAP=1 -DHAVE_PUTENV=1 -DHAVE_SETENV=1 -DHAVE_SETLOCALE=1 -DHAVE_STPCPY=1 -DHAVE_STRCHR=1 -DHAVE_STRCASECMP=1 -DHAVE_STRDUP=1 -DHAVE_STRTOUL=1 -DHAVE_TSEARCH=1 -DHAVE___ARGZ_COUNT=1 -DHAVE___ARGZ_STRINGIFY=1 -DHAVE___ARGZ_NEXT=1 -DHAVE_ICONV=1 -DICONV_CONST= -DHAVE_LANGINFO_CODESET=1 -DHAVE_LC_MESSAGES=1 -DENABLE_NLS=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DHAVE_LIBSLANG=1 -DSTDC_HEADERS=1 -DHAVE_GETOPT_H=1 -DHAVE_SLANG_H=1 -DRETSIGTYPE=void -DHAVE_SETENV=1 -DHAVE_GETOPT_LONG=1 -DHAVE_ASPRINTF=1 -DHAVE_GPM_H=1 -DHAVE_SELECT=1 -DHAVE_LIBGPM=1 -DGPM_SUPPORT=1  -D__USE_FIXED_PROTOTYPES__ -D_GNU_SOURCE -DLOCALEDIR=\"/usr/share/locale\" -Wall -O2 -pipe -march=native -fno-common -pipe
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed -o pdmenu src/actions.o src/error.o src/inputbox.o src/keyboard.o src/menu.o src/mouse.o src/pdgetline.o src/pdmenu.o src/pdstring.o src/rc.o src/screen.o src/window.o -DETCDIR=\"/etc/\" -DVER=\"1.3.4\" -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"pdmenu\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_GETPAGESIZE=1 -DHAVE_MMAP=1 -DHAVE_ARGZ_H=1 -DHAVE_LIMITS_H=1 -DHAVE_LOCALE_H=1 -DHAVE_NL_TYPES_H=1 -DHAVE_MALLOC_H=1 -DHAVE_STDDEF_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_FEOF_UNLOCKED=1 -DHAVE_FGETS_UNLOCKED=1 -DHAVE_GETCWD=1 -DHAVE_GETEGID=1 -DHAVE_GETEUID=1 -DHAVE_GETGID=1 -DHAVE_GETUID=1 -DHAVE_MEMPCPY=1 -DHAVE_MUNMAP=1 -DHAVE_PUTENV=1 -DHAVE_SETENV=1 -DHAVE_SETLOCALE=1 -DHAVE_STPCPY=1 -DHAVE_STRCHR=1 -DHAVE_STRCASECMP=1 -DHAVE_STRDUP=1 -DHAVE_STRTOUL=1 -DHAVE_TSEARCH=1 -DHAVE___ARGZ_COUNT=1 -DHAVE___ARGZ_STRINGIFY=1 -DHAVE___ARGZ_NEXT=1 -DHAVE_ICONV=1 -DICONV_CONST= -DHAVE_LANGINFO_CODESET=1 -DHAVE_LC_MESSAGES=1 -DENABLE_NLS=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DHAVE_LIBSLANG=1 -DSTDC_HEADERS=1 -DHAVE_GETOPT_H=1 -DHAVE_SLANG_H=1 -DRETSIGTYPE=void -DHAVE_SETENV=1 -DHAVE_GETOPT_LONG=1 -DHAVE_ASPRINTF=1 -DHAVE_GPM_H=1 -DHAVE_SELECT=1 -DHAVE_LIBGPM=1 -DGPM_SUPPORT=1  -D__USE_FIXED_PROTOTYPES__ -D_GNU_SOURCE -DLOCALEDIR=\"/usr/share/locale\" -Wall -O2 -pipe -march=native -fno-common -pipe -lgpm -lslang  
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/error.o:(.bss+0x0): multiple definition of `ScreenTitle'; src/actions.o:(.bss+0xa8): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/error.o:(.bss+0x20): multiple definition of `BG'; src/actions.o:(.bss+0xc0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200125-232521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 15:15:08 +0000

emerge -qpvO app-shells/pdmenu
[ebuild  N    ] app-shells/pdmenu-1.3.4-r1  USE="gpm nls -examples"
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:24:14 UTC
Created attachment 606148 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:24:18 UTC
Created attachment 606150 [details]
app-shells:pdmenu-1.3.4-r1:20200128-170444.log
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:24:21 UTC
Created attachment 606152 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:24:24 UTC
Created attachment 606154 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:24:26 UTC
Created attachment 606156 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:24:29 UTC
Created attachment 606158 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:24:32 UTC
Created attachment 606160 [details]
temp.tbz2
Comment 8 Sam James archtester gentoo-dev Security 2020-10-31 05:10:09 UTC
Fixed in 1.3.6: https://joeyh.name/code/pdmenu/news/version_1.3.6/.

Please bump.
Comment 9 Duncan 2020-10-31 20:01:04 UTC
(In reply to Sam James from comment #8)
> Fixed in 1.3.6: https://joeyh.name/code/pdmenu/news/version_1.3.6/.
> 
> Please bump.

Yes please.

Considering pdmenu for a local project and saw it needed bumped.  Checked for a bump bug and found this, coincidentally hours after the above comment, and with gcc 10.2 looks like I need the bump to test-build in any case.
Comment 10 Duncan 2020-10-31 21:23:08 UTC
(In reply to Sam James from comment #8)
> Fixed in 1.3.6: https://joeyh.name/code/pdmenu/news/version_1.3.6/.

Unfortunately the bump doesn't looks to be a simple ebuild version bump.  At minimum, it appears it'll need to manage sources differently:

While the existing ebuild pulls sources from the debian mirrors I couldn't find debian sources for 1.3.6 (with luck it's there and my debian-foo's just lacking, but...).  The above link describes what changed in 1.3.6 (gcc 10 fix only, it appears, the skipped 1.3.5 did have a few other minor changes) but doesn't directly link a 1.3.6 tarball.  Under downloads it lists debian and opensuse, but the tarballs available at the links it lists are 1.3.4.

The author /does/ say it's also available in git, listing a(n insecure) git:// link of git://git.joeyh.name/pdmenu .

I've not (yet?) investigated the git:// link or whether it's available https:// as well or not, but looks like for gentoo we may have to either create our own 1.3.6 tarball to mirror, or inherit the git-r3 eclass and use its tag/commit-specifier facilities to nail down the version.
Comment 11 Duncan 2020-11-01 02:25:49 UTC
Created attachment 669512 [details]
pdmenu-9999.ebuild using git-r3.eclass

Unfortunately https:// doesn't work for the sources so insecure git:// it is, for the moment.  The sources will have to be manually tarballed, manifested, and uploaded to the gentoo mirrors, with the ebuild then modified to use the tarball.

But here's a git-r3.eclass based ebuild.  It's build-tested as pdmenu-9999.ebuild and as pdmenu-1.3.6.ebuild, using EGIT_COMMIT=${PV} for the non-live one to pull the tag.  Because it's pulling direct from an insecure git URL and isn't manifested either way, I'm posting it here as the live-git -9999 version.
Comment 12 Duncan 2021-01-01 17:27:16 UTC
(In reply to Duncan from comment #9)
> Considering pdmenu for a local project

... Which it turned out to be perfect for. I expect to be running pdmenu longterm now and would really like more secure digested sources so please bump not last-rite.
Comment 13 Larry the Git Cow gentoo-dev 2021-01-06 19:07:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3bb9d37f3eac505f56dcb5849fe4c2d772e538c

commit f3bb9d37f3eac505f56dcb5849fe4c2d772e538c
Author:     Andreas K. Huettel <dilfridge@gentoo.org>
AuthorDate: 2021-01-06 19:07:07 +0000
Commit:     Andreas K. Huettel <dilfridge@gentoo.org>
CommitDate: 2021-01-06 19:07:37 +0000

    app-shells/pdmenu: Apply gcc-10 workaround
    
    Closes: https://bugs.gentoo.org/706856
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Andreas K. Huettel <dilfridge@gentoo.org>

 app-shells/pdmenu/pdmenu-1.3.4-r1.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)